> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account settings

> Get information about CDN product settings in your account.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml get /cdn/resellers/me
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/resellers/me:
    get:
      tags:
        - CDN Reseller Account
      summary: Get account settings
      description: Get information about CDN product settings in your account.
      operationId: get-account-settings
      responses:
        '200':
          $ref: '#/components/responses/ResellersMe'
components:
  responses:
    ResellersMe:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResellersMe'
          examples:
            default:
              $ref: '#/components/examples/ResellersMe'
  schemas:
    ResellersMe:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_reseller_ID'
        available_features:
          allOf:
            - $ref: '#/components/schemas/body_response_reseller_AvailableFeatures'
        default_enabled_features:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_reseller_DefaultEnabledFeatures
    body_response_reseller_ID:
      type: integer
      description: Reseller account ID.
    body_response_reseller_AvailableFeatures:
      type: array
      description: IDs of paid features that you can manage for your clients accounts.
      items:
        $ref: '#/components/schemas/body_response_features_ID'
    body_response_reseller_DefaultEnabledFeatures:
      type: array
      description: IDs of paid features that will be enabled for new clients.
      items:
        $ref: '#/components/schemas/body_response_features_ID'
    body_response_features_ID:
      type: integer
      description: Feature ID.
  examples:
    ResellersMe:
      value:
        id: 1
        available_features:
          - 1
          - 2
          - 3
        default_enabled_features:
          - 2
          - 3
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````